HdfsConstants.DatanodeReportType (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocol, class: HdfsConstants, enum: DatanodeReportType

Package org.apache.hadoop.hdfs.protocol

# Enum Class HdfsConstants.DatanodeReportType

java.lang.Object
java.lang.Enum<HdfsConstants.DatanodeReportType>
org.apache.hadoop.hdfs.protocol.HdfsConstants.DatanodeReportType

All Implemented Interfaces:
  `Serializable`, `Comparable<HdfsConstants.DatanodeReportType>`, `Constable`

Enclosing class:
  HdfsConstants

public static enum HdfsConstants.DatanodeReportType extends Enum<HdfsConstants.DatanodeReportType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  `DEAD`
  `DECOMMISSIONING`
  `ENTERING_MAINTENANCE`
  `IN_MAINTENANCE`
  `LIVE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HdfsConstants.DatanodeReportType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HdfsConstants.DatanodeReportType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final HdfsConstants.DatanodeReportType ALL

  - ### LIVE

    public static final HdfsConstants.DatanodeReportType LIVE

  - ### DEAD

    public static final HdfsConstants.DatanodeReportType DEAD

  - ### DECOMMISSIONING

    public static final HdfsConstants.DatanodeReportType DECOMMISSIONING

  - ### ENTERING_MAINTENANCE

    public static final HdfsConstants.DatanodeReportType ENTERING_MAINTENANCE

  - ### IN_MAINTENANCE

    public static final HdfsConstants.DatanodeReportType IN_MAINTENANCE

- ## Method Details

  - ### values

    public static HdfsConstants.DatanodeReportType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HdfsConstants.DatanodeReportType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null